Los mantenedores Fedora y Gentoo abandonan el mantenimiento de la app de escritorio de Telegram

Uno de los desarrolladores que se encarga de mantener los paquetes de Telegram Desktop para la distribución de Linux Fedora y en el repositorio RPM Fusion dio a conocer hace poco mediante una publicación haber eliminado los paquetes de los repositorios.

Y es que esta decisión llega casi de manera simultanea a la acción que tomo un día anterior el encargado del paquete de Telegram en Gentoo, el cual también anunció el fin del soporte para Telegram Desktop para la distribución. En ambos casos, se indica que están listos para devolver paquetes a los repositorios en caso de que se les encuentre un nuevo responsable, listo para tomar el mantenimiento en sus propias manos.

Las razones de la negativa de los mantenedores actuales a admitir Telegram Desktop dentro de estas dos populares distribuciones de Linux se denominan actitud repulsiva y hostil de los desarrolladores que ni siquiera intentan descubrir los errores que conducen a problemas con la construcción desde la fuente en las distribuciones de Linux.

Los mensajes sobre tales errores se cierran inmediatamente con el signo «WONTFIX» y una recomendación para usar compilaciones binarias semi-propietarios del sitio oficial.

En el mensaje publicado por Vitaly Zaitsev (quien se encargaba de los paquetes de Telegram Desktop para Fedora y RPM Fusion)

¡Hola a todos! Hoy es un gran día.

Finalmente decidí retirar el paquete Telegram Desktop de Fedora y RPM Fusion por las siguientes razones:

1. Tienen un ambiente muy hostil y muy tóxico para los mantenedores de GNU/Linux en sentido ascendente. Todos los errores relacionados con las distribuciones se cerrarán instantáneamente con «WONTFIX, use nuestro binario mitad propietario, vinculado estáticamente a las bibliotecas Ubuntu 14.04 LTS, desde el sitio web oficial».

2. He mantenido muchos paquetes GNU/Linux durante 16 años y nunca antes había visto un upstream tan hostil. Hacen todo lo posible para romper las compilaciones empaquetadas y es necesario corregir más y más en cada versión. Siempre dicen: «Solo admitimos compilaciones estáticas, si necesitas compartirlas -> arréglalas tú mismo».

3. No puede pedir ayuda en sentido ascendente en las compilaciones empaquetadas, ellos lo ignorarán. P.ej. recientemente eliminaron el soporte de compilaciones contra Qt <5.15.

4. Si eres un mantenedor de GNU/Linux, te tratan como un enemigo. Te odian. Si alguien quieren tomarlo, siéntase libres, pero no se olviden de los puntos de 1-4. 

La situación se ve agravada por el hecho de que los problemas que impiden la compilaciones de paquetes surgen regularmente en las nuevas versiones, y todos los intentos de corregir fallas en el flujo ascendente se reducen a declaraciones de que los desarrolladores solo admiten enlaces estáticos tg_owt y todos los problemas al crear sus propios ensamblados deberían ser resuelto de forma independiente .

Por ejemplo, recientemente se suspendió el soporte para compilaciones con versiones de Qt inferiores a 5.15 y todas las solicitudes para resolver el problema de alguna manera simplemente se ignoraron .

También se observa la confusión general de la organización de la compilación del paquete de Telegram Desktop, lo que complica el mantenimiento.

Pues básicamente el proyecto se divide en cuatro repositorios diferentes (aplicación, una biblioteca para webrtc, scripts para el sistema de compilación cmake y una biblioteca para el procesamiento de sonido), pero solo un repositorio es el que se encarga de compilar las versiones y los otros tres simplemente se actualizan a medida que avanza el desarrollo sin comprometerse.

Además, de la mención de los problemas con la compilación que se ve obstaculizada por conflictos de dependencias que surgen al intentar proporcionar soporte para Wayland y x11, PulseAudio y ALSA, OpenSSL y LibreSSL.

Finalmente, en cuanto a la posición del otro lado del conflicto se reduce al hecho de que la mayoría de los mensajes sobre problemas son irrelevantes o se solucionan rápidamente, y el desacuerdo radica en la falta de voluntad para admitir versiones antiguas de Qt y la vinculación dinámica con la biblioteca tg_owt en los suyos.

Si quieres conocer más al respecto sobre la nota, puedes consultar los detalles el siguiente enlace.


El contenido del artículo se adhiere a nuestros principios de ética editorial. Para notificar un error pincha aquí.

4 comentarios, deja el tuyo

Deja tu comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

  1.   Miguel Rodriguez dijo

    Pues, en lugar de ponerse molestos, hubieran sido diplomáticos al dar un mensaje que debido a las dificultades presentadas por la insistencia de la empresa en usar única y exclusivamente su software propietario para la compilación del programa así como a la negativa de soportar ciertas versiones de Qt, recomiendan usar la versión en flathub que viene actualizada y no debería ser problema al venir empaquetada como flatpak.

  2.   Luis dijo

    Mientras siga disponible en Flathub no tendria problema…
    pero mal prescedente lo de Telegram

  3.   Gabriel dijo

    En mi caso(si bien mi experiencia es en manjaro) deje de descargarla de los repositorios cuando vi que no se actualizaba con frecuencia con respecto a la «versión original» por lo que directamente descargo la aplicacion de la pagina de Telegram y la descomprimo en mi home y listo, al estilo firefox de windows, cuando abro la aplicacion si existe alguna actualizacion la descarga automaticamente y la verdad, funciona bastante bien.

    1.    Pablinux dijo

      Yo desconocía esta opción, en parte porque aún no la he necesitado, pero me la anoto. Lo que comentas del Firefox para Windows, eso también lo tienes en Linux si te lo bajas de la web oficial, por lo que, si no estoy equivocado, yo lo compararía también con Firefox, pero el de Linux en binarios.

      Por otra parte, te recomiendo probar también la versión de Flathub, que se actualiza pronto y no da problemas. Sólo como opción.

      Un saludo.